@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface ChunkEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
ChunkEndpointBuilderFactory.AdvancedChunkEndpointBuilder
Advanced builder for endpoint for the Chunk component.
|
static interface |
ChunkEndpointBuilderFactory.ChunkBuilders |
static interface |
ChunkEndpointBuilderFactory.ChunkEndpointBuilder
Builder for endpoint for the Chunk component.
|
| Modifier and Type | Method and Description |
|---|---|
static ChunkEndpointBuilderFactory.ChunkEndpointBuilder |
chunk(String path)
Chunk (camel-chunk)
Transforms the message using a Chunk template.
|
static ChunkEndpointBuilderFactory.ChunkEndpointBuilder chunk(String path)
chunk:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel